// ===========================================================================
//	main.cp 		1994-1996 Metrowerks Inc. All rights reserved.
// ===========================================================================
//
//	This file contains the starter code for a PowerPlant application

#include "main.h"

#include <LGrowZone.h>
#include <LWindow.h>
#include <PP_Messages.h>
#include <PP_Resources.h>
#include <UDrawingState.h>
#include <UMemoryMgr.h>
#include <URegistrar.h>
#include <LEditField.h>
#include <LActiveScroller.h>

#include "CSuperViewDivider.h"
#include "CAutoScrollEditField.h"

#include "CViewColumnTest.h"

#if ! _DEBUG
#define NEW new
#endif

const ResIDT	window_Sample		= 131;	// EXAMPLE


// ===========================================================================
//		 Main Program
// ===========================================================================

void main(void)
{
	{									// Set Debugging options
		SetDebugThrow_(debugAction_Nothing);
		SetDebugSignal_(debugAction_SourceDebugger);

		InitializeHeap(3);				// Initialize Memory Manager
										// Parameter is number of Master Pointer
										//   blocks to allocate
		
										// Initialize standard Toolbox managers
		UQDGlobals::InitializeToolbox();
		
		new LGrowZone(20000);			// Install a GrowZone function to catch
										//    low memory situations.

		CPPStarterApp	theApp;			// replace this with your App type
		theApp.Run();
	}
#if _DEBUG
	DebugNewReportLeaks();
#endif
}


// ---------------------------------------------------------------------------
//		 CPPStarterApp 			// replace this with your App type
// ---------------------------------------------------------------------------
//	Constructor

CPPStarterApp::CPPStarterApp()
{
	// Register functions to create core PowerPlant classes
	RegisterClass_(LActiveScroller);
	RegisterClass_(LCaption);
	RegisterClass_(LPicture);
	RegisterClass_(LScroller);
	RegisterClass_(LStdCheckBox);
	RegisterClass_(LTabGroup);
	RegisterClass_(LView);
	RegisterClass_(LWindow);

	RegisterClass_(CViewColumn);			// David Oster: register the classes that do the work
	RegisterClass_(CViewDivider);
	RegisterClass_(CSuperViewDivider);
	RegisterClass_(CAutoScrollEditField);

	RegisterClass_(CViewColumnTest);		// David Oster: register the demo class
}


// ---------------------------------------------------------------------------
//		 ~CPPStarterApp			// replace this with your App type
// ---------------------------------------------------------------------------
//	Destructor
//

CPPStarterApp::~CPPStarterApp()
{
}

// ---------------------------------------------------------------------------
//		 Initialize
// ---------------------------------------------------------------------------
//	Last chance to initialize Application before processing events


void
CPPStarterApp::Initialize()
{
	ObeyCommand(cmd_New, nil);		// EXAMPLE, create a new window
}

// ---------------------------------------------------------------------------
//		 ObeyCommand
// ---------------------------------------------------------------------------
//	Respond to commands

Boolean
CPPStarterApp::ObeyCommand(
	CommandT	inCommand,
	void		*ioParam)
{
	Boolean		cmdHandled = true;
	LView*		table;

	switch (inCommand) {
	
		// Deal with command messages (defined in PP_Messages.h).
		// Any that you don't handle will be passed to LApplication
 			
		case cmd_New:
										// EXAMPLE, create a new window
			LWindow		*theWindow;
			theWindow = LWindow::CreateWindow(window_Sample, this);	

			// make page up, page down keys work
			table = dynamic_cast<LView*>(theWindow->FindPaneByID(139));
			Assert_(table);	// programmer error if nil.
			theWindow->AddAttachment(NEW LKeyScrollAttachment(table));

			// direct keystrokes at a LEditField item
			SetLatentSub(dynamic_cast<LCommander*>(theWindow->FindPaneByID(153)));
			theWindow->Show();
			break;



		default:
			cmdHandled = LApplication::ObeyCommand(inCommand, ioParam);
			break;
	}
	
	return cmdHandled;
}

// ---------------------------------------------------------------------------
//		 FindCommandStatus
// ---------------------------------------------------------------------------
//	This function enables menu commands.
//

void
CPPStarterApp::FindCommandStatus(
	CommandT	inCommand,
	Boolean		&outEnabled,
	Boolean		&outUsesMark,
	UInt16		&outMark,
	Str255		outName)
{

	switch (inCommand) {
	
		// Return menu item status according to command messages.
		// Any that you don't handle will be passed to LApplication

		case cmd_New:					// EXAMPLE
			outEnabled = true;			// enable the New command
			break;

		default:
			LApplication::FindCommandStatus(inCommand, outEnabled,
												outUsesMark, outMark, outName);
			break;
	}
}
