/* main.r - the resource definitions
	Version 1.5 May 2003
	1.1 rev'ed: fix incompatibilities introduced in Pro 2
	1.2 bug fixes in CViewColumn.cp when adding panes into scrolled views.
	1.3 rev'ed: fix incompatibilities introduced in Pro 5.3
	1.4 rev'ed: fix incompatibilities introduced in Pro 7.1
	1.5 rev'ed: fix add menu bar for OS X.
	Copyright 1997-2002 by David Phillip Oster <mail-to:oster@ieee.org>

	The semi-legal stuff:
 
	You may use this any way you see fit, but:
		by your use of this you this you agree to hold David Oster harmless of any liability
			that may result from your use of this.
	You may not remove David Oster's name and contact info from the source code, although you
		may add your own.
	You agree to e-mail David Oster about bugs and problems with this source code.
 */
#define SystemSevenOrLater		1
#define Include_User_Template	1
#define User_Template_File	"myPPOBTypes.r"
#include <types.r>
#include <balloons.r>
#undef normal	// fix incompatibility introduced in Pro 2
#include <PowerPlant.r>

#define kProgramS	"View Divider"

resource 'MBAR' (128) {{
	128,
	129,
	130
}};

resource 'MBAR' (129) {{
	128,
	131,
	130
}};

#define kAllItems	0x7FFFFFFF
#define kItem1		(1 << (1 - 1))
#define kItem2		(1 << (2 - 1))
#define kItem3		(1 << (3 - 1))
#define kItem4		(1 << (4 - 1))
#define kItem5		(1 << (5 - 1))
#define kItem6		(1 << (6 - 1))
#define kItem7		(1 << (7 - 1))
#define kItem8		(1 << (8 - 1))
#define kItem9		(1 << (9 - 1))
#define kItem10		(1 << (10- 1))
#define kItem11		(1 << (11- 1))
#define kItem12		(1 << (12- 1))
#define kItem13		(1 << (13- 1))
#define kItem14		(1 << (14- 1))
#define kItem15		(1 << (15- 1))
#define kItem16		(1 << (16- 1))
#define kItem17		(1 << (17- 1))
#define kItem18		(1 << (18- 1))
#define kItem19		(1 << (19- 1))
#define kItem20		(1 << (20- 1))
#define kItem21		(1 << (21- 1))
#define kItem22		(1 << (22- 1))

/* ####################################################################################
 */
resource 'MENU' (128) {
	128,
	textMenuProc,
	kAllItems - (kItem2) ,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */	"About " kProgramS "", noIcon, noKey, noMark, plain,
		/* [2] */	"-", noIcon, noKey, noMark, plain
	}
};

/* ####################################################################################
 */
resource 'MENU' (129) {
	129,
	textMenuProc,
	kAllItems - (kItem3),
	enabled,
	"File",
	{
		/* [1] */	"New", noIcon, "N", noMark, plain,
		/* [2] */	"Close", noIcon, "W", noMark, plain,
		/* [3] */	"-", noIcon, noKey, noMark, plain,
		/* [4] */	"Quit", noIcon, "Q", noMark, plain
	}
};


resource 'Mcmd' (129) {{
	cmd_New,
	cmd_Close,
	cmd_Nothing,
	cmd_Quit
}};

/* ####################################################################################
 */
resource 'MENU' (130) {
	130,
	textMenuProc,
	kAllItems - (kItem2),
	enabled,
	"Edit",
	{
	/* [1] */	"Undo", noIcon, "Z", noMark, plain,
	/* [2] */	"-", noIcon, noKey, noMark, plain,
	/* [3] */	"Cut", noIcon, "X", noMark, plain,
	/* [4] */	"Copy", noIcon, "C", noMark, plain,
	/* [5] */	"Paste", noIcon, "V", noMark, plain,
	/* [6] */	"Clear", noIcon, noKey, noMark, plain
}};

resource 'Mcmd' (130) {{
	cmd_Undo,
	cmd_Nothing,
	cmd_Cut,
	cmd_Copy,
	cmd_Paste,
	cmd_Clear
}};

/* ####################################################################################
 */
resource 'MENU' (131) {
	131,
	textMenuProc,
	kAllItems - (kItem3),
	enabled,
	"File",
	{
		/* [1] */	"New", noIcon, "N", noMark, plain,
		/* [2] */	"Close", noIcon, "W", noMark, plain,
	}
};


resource 'Mcmd' (131) {{
	cmd_New,
	cmd_Close,
}};

/* ####################################################################################
 */

#define topH		100
#define bottomH		100
#define dividerH	4


resource 'wctb' (128) {{
	wContentColor, 0xEEEE, 0xEEEE, 0xEEEE
}};

resource 'WIND' (128, purgeable, preload) {
	{42, 4, topH+bottomH+dividerH+42, 304},
	zoomDocProc,
	invisible,
	goAway,
	0x0,
	"untitled",
	staggerParentWindowScreen
};

#define kAllBound	bound, bound, bound, bound
#define kAllUnbound	unbound, unbound, unbound, unbound

resource 'PPob' (128, purgeable, preload) {{	
	/* [1] */	ObjectData {Window {128,	regular,	hasCloseBox,	hasTitleBar,	hasResize,	hasSizeBox,	hasZoom,
					noShowNew,	enabled,	hasTarget,	noGetSelectClick,	noHideOnSuspend,	hasDelaySelect,	hasEraseOnUpdate,	60,	60,	
					screenSize, screenSize, screenSize, screenSize, 0}},
	/* [2] */	BeginSubs {	},
	/* [3] */	ObjectData { ViewDivider {128,	{-1, topH+bottomH+dividerH},	visible,	enabled,	kAllBound,	0,	0,	0,	
					defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 129, 0, noVanish, 130, 0, noVanish}},
	/* [4] */		BeginSubs {	},
	/* [5] */			ObjectData { Picture {129,	{-1, topH},	visible,	enabled,	bound, unbound, bound, unbound,	0,	0,	0,	
							defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 128}},
	/* [6] */			ObjectData { Picture {130,	{-1, bottomH},	visible,	enabled,	bound, unbound, bound, unbound,	0,	topH+dividerH,	0,	
							defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 129}},
	/* [7] */		EndSubs { },
	/* [8] */	EndSubs { }
}};
/* ####################################################################################
 */

#define topW		316
#define bottomW		100
#define dividerW	4


resource 'wctb' (129) {{
	wContentColor, 0xEEEE, 0xEEEE, 0xEEEE
}};

resource 'WIND' (129, purgeable, preload) {
	{42, 4, 242, topW+bottomW+dividerW+4},
	zoomDocProc,
	invisible,
	goAway,
	0x0,
	"untitled",
	staggerParentWindowScreen
};

#define kAllBound	bound, bound, bound, bound
#define kAllUnbound	unbound, unbound, unbound, unbound

resource 'PPob' (129, purgeable, preload) {{	
	/* [1] */	ObjectData {Window {129,	regular,	hasCloseBox,	hasTitleBar,	hasResize,	hasSizeBox,	hasZoom,
					noShowNew,	enabled,	hasTarget,	noGetSelectClick,	noHideOnSuspend,	hasDelaySelect,	hasEraseOnUpdate,	60,	60,	
					screenSize, screenSize, screenSize, screenSize, 0}},
	/* [2] */	BeginSubs {	},
	/* [3] */	ObjectData { ViewDivider {128,	{topW+bottomW+dividerW, -1},	visible,	enabled,	kAllBound,	0,	0,	0,	
					defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 129, 0, noVanish, 130, 0, noVanish}},
	/* [4] */		BeginSubs {	},
	/* [5] */			ObjectData { Picture {129,	{topW, -1},	visible,	enabled,	unbound, bound, unbound, bound,	0,	0,	0,	
							defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 128}},
	/* [6] */			ObjectData { Picture {130,	{bottomW, -1},	visible,	enabled,	unbound, bound, unbound, bound,	topW+dividerW, 0,	0,	
							defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 129}},
	/* [7] */		EndSubs { },
	/* [8] */	EndSubs { }
}};
/* ####################################################################################
 */


resource 'wctb' (130) {{
	wContentColor, 0xEEEE, 0xEEEE, 0xEEEE
}};

resource 'WIND' (130, purgeable, preload) {
	{42, 4, topH+bottomH+dividerH+42, topW+bottomW+dividerW+4},
	zoomDocProc,
	invisible,
	goAway,
	0x0,
	"untitled",
	staggerParentWindowScreen
};

/* pane divider, horizontal dominant
 */
resource 'PPob' (130, purgeable, preload) {{	
	/* [1] */	ObjectData {Window {130,	regular,	hasCloseBox,	hasTitleBar,	hasResize,	hasSizeBox,	hasZoom,
					noShowNew,	enabled,	hasTarget,	noGetSelectClick,	noHideOnSuspend,	hasDelaySelect,	hasEraseOnUpdate,	60,	60,	
					screenSize, screenSize, screenSize, screenSize, 0}},
	/* [2] */	BeginSubs {	},
	/* [3] */	ObjectData { ViewDivider {128,	{-1, topH+bottomH+dividerH},	visible,	enabled,	kAllBound,	0,	0,	0,		/* dominant */
					defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 129, 0, noVanish, 130, 0, noVanish}},
	/* [4] */		BeginSubs {	},
	/* [5] */		ObjectData { ViewDivider {129,	{-1, topH},	visible,	enabled,	bound, unbound, bound, unbound,	0,	0,	0,	
						defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 131, 0, noVanish, 132, 0, noVanish}},
	/* [6] */			BeginSubs {	},
	/* [7] */				ObjectData { Picture {131,	{topW, -1},	visible,	enabled,	unbound, bound, unbound, bound,	0,	0,	0,	
								defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 128}},
	/* [8] */				ObjectData { Picture {132,	{bottomW, -1},	visible,	enabled,	unbound, bound, unbound, bound,	topW+dividerW, 0,	0,	
								defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 129}},
	/* [9] */			EndSubs { },
	/* [10] */		ObjectData { ViewDivider {130,	{-1, bottomH},	visible,	enabled,	bound, unbound, bound, unbound,	0,	topH+dividerH,	0,	
						defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 133, 0, noVanish, 134, 0, noVanish}},
	/* [11] */			BeginSubs {	},
	/* [12] */				ObjectData { Picture {133,	{topW, -1},	visible,	enabled,	unbound, bound, unbound, bound,	0,	0,	0,	
								defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 128}},
	/* [13] */				ObjectData { Picture {134,	{bottomW, -1},	visible,	enabled,	unbound, bound, unbound, bound,	topW+dividerW, 0,	0,	
								defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 129}},
	/* [14] */			EndSubs { },
	/* [15] */		EndSubs { },
	/* [16] */	EndSubs { }
}};

/* ####################################################################################
 */


resource 'wctb' (131) {{
	wContentColor, 0xEEEE, 0xEEEE, 0xEEEE
}};

resource 'WIND' (131, purgeable, preload) {
	{42, 4, topH+bottomH+dividerH+42, topW+bottomW+dividerW+4},
	zoomDocProc,
	invisible,
	goAway,
	0x0,
	"untitled",
	staggerParentWindowScreen
};

/* pane divider, vertical dominant
	top left is a columnViewTest
 */
resource 'PPob' (131, purgeable, preload) {{	
	/* [1] */	ObjectData {Window {131,	regular,	hasCloseBox,	hasTitleBar,	hasResize,	hasSizeBox,	hasZoom,
					noShowNew,	enabled,	hasTarget,	noGetSelectClick,	noHideOnSuspend,	hasDelaySelect,	hasEraseOnUpdate,	60,	60,	
					screenSize, screenSize, screenSize, screenSize, 0}},
	/* [2] */	BeginSubs {	},
				ObjectData { TabGroup {}},
	/* [2] */	BeginSubs {	},
	/* [3] */	ObjectData { ViewDivider {128,	{topW+bottomW+dividerW, topH+bottomH+dividerH},	visible,	enabled,	kAllBound,	0,	0,	0,		/* dominant */
					defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 129, 0, noVanish, 130, 32, noVanish}},
	/* [4] */		BeginSubs {	},
	/* [5] */		ObjectData { ViewDivider {129,	{topW, topH+bottomH+dividerH},	visible,	enabled,	unbound, bound, unbound, bound,	0,	0,	0,	
						defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 140, 0, noVanish, 132, 0, noVanish}},
	/* [6] */			BeginSubs {	},
	/* [7] */				ObjectData {ActiveScroller {140,	{topW, topH},	visible,	enabled,	bound, unbound, bound, unbound,	0,	0,	0,	
								defaultSuperView,	1,	1,	0,	0,	0,	0,	noReconcileOverhang,	noHorizScroll,	15,	0,	0,	139}},
	/* [8] */				BeginSubs {	},
	/* [9] */					ObjectData {ColumnViewTest {	139,	{-1, -1},	visible,	enabled,	kAllBound,	0,	0,	0,
									defaultSuperView,	50,	30,	0,	0,	0,	30,	hasReconcileOverhang}},
	/* [10] */				EndSubs { },
	/* [11] */				ObjectData { Picture {132,	{topW, bottomH},	visible,	enabled,	bound, unbound, bound, unbound,	0, topH+dividerH, 0,	
								defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 128}},
	/* [12] */			EndSubs { },
	/* [13] */		ObjectData { ViewDivider {130,	{bottomW, topH+bottomH+dividerH},	visible,	enabled,	unbound, bound, unbound, bound, topW+dividerW, 0,	0,	
						defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 133, 32, noVanish, 134, 0, noVanish}},
	/* [14] */			BeginSubs {	},
	/* [15] */				ObjectData { Picture {133,	{bottomW, topH},	visible,	enabled,	bound, unbound, bound, unbound,	0,	0,	0,	
								defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 129}},
	/* [16] */				ObjectData { Picture {134,	{bottomW, bottomH},	visible,	enabled,	bound, unbound, bound, unbound,	0, topH+dividerH, 0,	
								defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 130}},
	/* [17] */			EndSubs { },
	/* [18] */		EndSubs { },
	/* [18] */		EndSubs { },
	/* [18] */	EndSubs { }
}};

/* ####################################################################################
 */

resource 'wctb' (150) {{
	wContentColor, 0xEEEE, 0xEEEE, 0xEEEE
}};

resource 'WIND' (150, purgeable, preload) {
	{42, 4, topH+bottomH+dividerH+42, 344},
	zoomDocProc,
	invisible,
	goAway,
	0x0,
	"untitled",
	staggerParentWindowScreen
};

resource 'PPob' (150, purgeable, preload) {{	
	/* [1] */	ObjectData {Window {150,	regular,	hasCloseBox,	hasTitleBar,	hasResize,	hasSizeBox,	hasZoom,
					noShowNew,	enabled,	hasTarget,	noGetSelectClick,	noHideOnSuspend,	hasDelaySelect,	hasEraseOnUpdate,	60,	60,	
					screenSize, screenSize, screenSize, screenSize, 0}},
	/* [2] */	BeginSubs {	},
	/* [3] */	ObjectData {Scroller {130,	{-1, -1},	visible,	enabled,	kAllBound,	0,	0,	0,	
					defaultSuperView,	1,	1,	0,	0,	0,	0,	noReconcileOverhang,	noHorizScroll,	15,	0,	15,	129}},
	/* [4] */	BeginSubs {	},
	/* [5] */		ObjectData {ColumnViewTest {	129,	{-1, -1},	visible,	enabled,	kAllBound,	0,	0,	0,
						defaultSuperView,	50,	30,	0,	0,	0,	30,	hasReconcileOverhang}},
	/* [6] */	EndSubs { },
	/* [7] */	EndSubs { }
}};

/* ####################################################################################
 */
resource 'RidL' (151) {{	/* array ResourceIDList: 1 elements */
	/* [1] */	152
}};

resource 'PPob' (151) {{	/* array TagArray: 6 elements */
	/* [3] */ObjectData { SuperViewDivider {151,	{300, 30},	visible,	enabled,	bound, unbound, bound, unbound,	0,	0,	0,		/* dominant */
				defaultSuperView,	1,	1,	0,	0,	0,	0, noReconcileOverhang, 170, 171}},
	/* [2] */BeginSubs {	},
	/* [1] */	ObjectData {AbstractView {	170, {98, 30},	visible,	enabled,	unbound, bound, unbound, bound,	0,	0,	0,	
				defaultSuperView, 0, 0, 0, 0, 0, 0, noReconcileOverhang}},
	/* [2] */	BeginSubs {	},
	/* [5] */		ObjectData {Caption {	154,	{92, 16},	visible,	enabled,	bound,	unbound,	bound,	unbound,	0,	5,	0,	
						defaultSuperView,	"a",	130}},
	/* [6] */	EndSubs { },
	/* [1] */	ObjectData {AbstractView {	171, {198, 30},	visible,	enabled,	unbound, bound, unbound, bound,	102,	0,	0,	
					defaultSuperView, 0, 0, 0, 0, 0, 0, noReconcileOverhang}},
	/* [2] */	BeginSubs {	},
	/* [3] */		ObjectData {StdCheckBox {	152,	{16, 16},	visible,	enabled,	unbound, unbound, bound, unbound,	176,	3,	0,	
						defaultSuperView,	0,	unchecked,	useSystemFont,	"",	0}},
	/* [4] */		ObjectData {AutoScrollEditField {	153,	{152, 16},	visible,	enabled,	bound, unbound, bound, unbound,	16,	3,	0,	
						defaultSuperView,	"",	129,	255,	hasBox,	noWordWrap,	hasAutoScroll,	noTextBuffering,	noOutlineHilite,	noInlineInput,	noTextServices,	printingCharFilter}},
	/* [6] */	EndSubs { },
	/* [6] */EndSubs {	}
}};

resource 'Txtr' (129) {
	10,
	0,
	flushDefault,
	srcCopy,
	0,
	0,
	0,
	useName,
	"Geneva"
};

resource 'Txtr' (130) {
	10,
	bold,
	flushRight,
	srcCopy,
	0,
	0,
	0,
	useName,
	"Geneva"
};

#define kVersionMajor	1
#define kVersionMinor	4
#define kVersionStage	4	// final
#define kVersionBuild	10


#if 1 == kVersionStage
#define kVersionStageS	"d"
#elif 2 == kVersionStage
#define kVersionStageS "a"
#elif 3 == kVersionStage
#define kVersionStageS "b"
#else
#define kVersionStageS ""
#endif


#define kCurrentYearS	$$Format("%d", $$Year)
#define kVersionS 		$$Format("%d.%02d", kVersionMajor, kVersionMinor, kVersionStageS, kVersionBuild)
#define kBuildNumberS	$$Format("%d", kVersionBuild)
#define kCompanyS		"David Phillip Oster"
#define kCompanyWebS	"mailto:oster@ieee.org"

type 'TEXT' {
	string;
};

resource 'TEXT' (-5696) {
kProgramS " Version " kVersionS ". A test program thats shows off CViewColumn and CViewDivider.\n"
"Copyright  " kCurrentYearS " " kCompanyS ", All Rights Reserved. " kCompanyWebS " for more information."
};

resource 'hfdr' (-5696) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	{
		HMTEResItem{ -5696 }
}};

resource 'vers' (1, purgeable) {
	kVersionMajor,
	kVersionMinor,
	kVersionStage,
	kVersionBuild,
	verUS,
	kVersionS,
	"Version " kVersionS "(" kBuildNumberS "), " kCurrentYearS " D. Oster"
};
